Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/BENCH/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/BENCH/MY_SRC/usrdef_hgr.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/BENCH/MY_SRC/usrdef_hgr.F90	(revision 12960)
@@ -76,6 +76,6 @@
       DO_2D_11_11
          
-         zti = REAL( mig0(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0(jj) - 1, wp )   ! start at j=0 in the global grid without halos
+         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
+         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
          
          plamt(ji,jj) = zti
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/BENCH/MY_SRC/usrdef_istate.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/BENCH/MY_SRC/usrdef_istate.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/BENCH/MY_SRC/usrdef_istate.F90	(revision 12960)
@@ -70,10 +70,10 @@
       ! Once we decide to forget trunk compatibility, we must simply define z2d as:
 !!$      DO_2D_00_00
-!!$         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0(ji) + (mjg0(jj)-1) * Ni0glo, wp ) / REAL( Ni0glo * Nj0glo, wp ) )
+!!$         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * Ni0glo, wp ) / REAL( Ni0glo * Nj0glo, wp ) )
 !!$      END_2D
       igloi = Ni0glo + 2 * COUNT( (/ jperio == 1 .OR. jperio == 4 .OR. jperio == 6 .OR. jperio == 7 /) )
       igloj = Nj0glo + 2 * COUNT( (/ jperio == 2 .OR. jperio == 7 /) ) + 1 * COUNT( (/ jperio >= 4 .AND. jperio <= 6 /) )
       DO_2D_00_00
-         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0(ji) + (mjg0(jj)-1) * igloi, wp ) / REAL( igloi * igloj, wp ) )
+         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * igloi, wp ) / REAL( igloi * igloj, wp ) )
       END_2D
       !
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/BENCH/MY_SRC/usrdef_sbc.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/BENCH/MY_SRC/usrdef_sbc.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/BENCH/MY_SRC/usrdef_sbc.F90	(revision 12960)
@@ -110,10 +110,10 @@
       ! Once we decide to forget trunk compatibility, we must simply define z2d as:
 !!$      DO_2D_00_00
-!!$         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0(ji) + (mjg0(jj)-1) * Ni0glo, wp ) / REAL( Ni0glo * Nj0glo, wp ) )
+!!$         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * Ni0glo, wp ) / REAL( Ni0glo * Nj0glo, wp ) )
 !!$      END_2D
       igloi = Ni0glo + 2 * COUNT( (/ jperio == 1 .OR. jperio == 4 .OR. jperio == 6 .OR. jperio == 7 /) )
       igloj = Nj0glo + 2 * COUNT( (/ jperio == 2 .OR. jperio == 7 /) ) + 1 * COUNT( (/ jperio >= 4 .AND. jperio <= 6 /) )
       DO_2D_00_00
-         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0(ji) + (mjg0(jj)-1) * igloi, wp ) / REAL( igloi * igloj, wp ) )
+         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * igloi, wp ) / REAL( igloi * igloj, wp ) )
       END_2D
       utau_ice(:,:) = 0.1_wp + z2d(:,:)
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/CANAL/MY_SRC/domvvl.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/CANAL/MY_SRC/domvvl.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/CANAL/MY_SRC/domvvl.F90	(revision 12960)
@@ -450,9 +450,9 @@
             ELSE
                ijk_max = MAXLOC( ze3t(:,:,:) )
-               ijk_max(1) = mig0(ijk_max(1))
-               ijk_max(2) = mjg0(ijk_max(2))
+               ijk_max(1) = mig0_oldcmp(ijk_max(1))
+               ijk_max(2) = mjg0_oldcmp(ijk_max(2))
                ijk_min = MINLOC( ze3t(:,:,:) )
-               ijk_min(1) = mig0(ijk_min(1))
-               ijk_min(2) = mjg0(ijk_min(2))
+               ijk_min(1) = mig0_oldcmp(ijk_min(1))
+               ijk_min(2) = mjg0_oldcmp(ijk_min(2))
             ENDIF
             IF (lwp) THEN
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/CANAL/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/CANAL/MY_SRC/usrdef_hgr.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/CANAL/MY_SRC/usrdef_hgr.F90	(revision 12960)
@@ -91,6 +91,6 @@
          
       DO_2D_11_11         
-         zti = REAL( mig0(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0(jj) - 1, wp )   ! start at j=0 in the global grid without halos
+         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
+         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
          
          plamt(ji,jj) = zlam0 + rn_dx *   zti
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ICE_ADV1D/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ICE_ADV1D/MY_SRC/usrdef_hgr.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ICE_ADV1D/MY_SRC/usrdef_hgr.F90	(revision 12960)
@@ -79,6 +79,6 @@
 
       DO_2D_11_11
-         zti = REAL( mig0(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0(jj) - 1, wp )   ! start at j=0 in the global grid without halos
+         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
+         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
          
          plamt(ji,jj) = zlam0 + rn_dx * 1.e-3 *   zti
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ICE_ADV2D/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ICE_ADV2D/MY_SRC/usrdef_hgr.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ICE_ADV2D/MY_SRC/usrdef_hgr.F90	(revision 12960)
@@ -91,6 +91,6 @@
 
       DO_2D_11_11
-         zti = REAL( mig0(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0(jj) - 1, wp )   ! start at j=0 in the global grid without halos
+         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
+         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
          
          plamt(ji,jj) = zlam0 + rn_dx * 1.e-3 *   zti
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ICE_AGRIF/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ICE_AGRIF/MY_SRC/usrdef_hgr.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ICE_AGRIF/MY_SRC/usrdef_hgr.F90	(revision 12960)
@@ -91,6 +91,6 @@
 
       DO_2D_11_11
-         zti = REAL( mig0(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0(jj) - 1, wp )   ! start at j=0 in the global grid without halos
+         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
+         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
          
          plamt(ji,jj) = zlam0 + rn_dx * 1.e-3 *   zti
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ISOMIP/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ISOMIP/MY_SRC/usrdef_hgr.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/ISOMIP/MY_SRC/usrdef_hgr.F90	(revision 12960)
@@ -79,12 +79,12 @@
       DO_2D_11_11
          !                       ! longitude   (west coast at lon=0°)
-         plamt(ji,jj) = rn_e1deg * (  - 0.5 + REAL( mig0(ji)-1 , wp )  )  
-         plamu(ji,jj) = rn_e1deg * (          REAL( mig0(ji)-1 , wp )  )
+         plamt(ji,jj) = rn_e1deg * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
+         plamu(ji,jj) = rn_e1deg * (          REAL( mig0_oldcmp(ji)-1 , wp )  )
          plamv(ji,jj) = plamt(ji,jj)
          plamf(ji,jj) = plamu(ji,jj)
          !                       ! latitude   (south coast at lat= 81°)
-         pphit(ji,jj) = rn_e2deg * (  - 0.5 + REAL( mjg0(jj)-1 , wp )  ) - 80._wp
+         pphit(ji,jj) = rn_e2deg * (  - 0.5 + REAL( mjg0_oldcmp(jj)-1 , wp )  ) - 80._wp
          pphiu(ji,jj) = pphit(ji,jj)
-         pphiv(ji,jj) = rn_e2deg * (          REAL( mjg0(jj)-1 , wp )  ) - 80_wp
+         pphiv(ji,jj) = rn_e2deg * (          REAL( mjg0_oldcmp(jj)-1 , wp )  ) - 80_wp
          pphif(ji,jj) = pphiv(ji,jj)
       END_2D
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 12960)
@@ -76,12 +76,12 @@
       DO_2D_11_11
          !                       ! longitude
-         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0(ji)-1 , wp )  )  
-         plamu(ji,jj) = zfact * (          REAL( mig0(ji)-1 , wp )  )
+         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
+         plamu(ji,jj) = zfact * (          REAL( mig0_oldcmp(ji)-1 , wp )  )
          plamv(ji,jj) = plamt(ji,jj)
          plamf(ji,jj) = plamu(ji,jj)
          !                       ! latitude
-         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0(jj)-1 , wp )  )
+         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0_oldcmp(jj)-1 , wp )  )
          pphiu(ji,jj) = pphit(ji,jj)
-         pphiv(ji,jj) = zfact * (          REAL( mjg0(jj)-1 , wp )  )
+         pphiv(ji,jj) = zfact * (          REAL( mjg0_oldcmp(jj)-1 , wp )  )
          pphif(ji,jj) = pphiv(ji,jj)
       END_2D
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/OVERFLOW/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 12960)
@@ -76,12 +76,12 @@
       DO_2D_11_11
          !                       ! longitude
-         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0(ji)-1 , wp )  )  
-         plamu(ji,jj) = zfact * (          REAL( mig0(ji)-1 , wp )  )
+         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
+         plamu(ji,jj) = zfact * (          REAL( mig0_oldcmp(ji)-1 , wp )  )
          plamv(ji,jj) = plamt(ji,jj)
          plamf(ji,jj) = plamu(ji,jj)
          !                       ! latitude
-         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0(jj)-1 , wp )  )
+         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0_oldcmp(jj)-1 , wp )  )
          pphiu(ji,jj) = pphit(ji,jj)
-         pphiv(ji,jj) = zfact * (          REAL( mjg0(jj)-1 , wp )  )
+         pphiv(ji,jj) = zfact * (          REAL( mjg0_oldcmp(jj)-1 , wp )  )
          pphif(ji,jj) = pphiv(ji,jj)
       END_2D
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/STATION_ASF/MY_SRC/nemogcm.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 12960)
@@ -231,7 +231,7 @@
       !
       IF( ln_read_cfg ) THEN            ! Read sizes in domain configuration file
-         CALL domain_cfg ( cn_cfg, nn_cfg, jpiglo, jpjglo, jpkglo, jperio )
+         CALL domain_cfg ( cn_cfg, nn_cfg, Ni0glo, Nj0glo, jpkglo, jperio )
       ELSE                              ! user-defined namelist
-         CALL usr_def_nam( cn_cfg, nn_cfg, jpiglo, jpjglo, jpkglo, jperio )
+         CALL usr_def_nam( cn_cfg, nn_cfg, Ni0glo, Nj0glo, jpkglo, jperio )
       ENDIF
       !
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/VORTEX/MY_SRC/domvvl.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/VORTEX/MY_SRC/domvvl.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/VORTEX/MY_SRC/domvvl.F90	(revision 12960)
@@ -450,9 +450,9 @@
             ELSE
                ijk_max = MAXLOC( ze3t(:,:,:) )
-               ijk_max(1) = mig0(ijk_max(1))
-               ijk_max(2) = mjg0(ijk_max(2))
+               ijk_max(1) = mig0_oldcmp(ijk_max(1))
+               ijk_max(2) = mjg0_oldcmp(ijk_max(2))
                ijk_min = MINLOC( ze3t(:,:,:) )
-               ijk_min(1) = mig0(ijk_min(1))
-               ijk_min(2) = mjg0(ijk_min(2))
+               ijk_min(1) = mig0_oldcmp(ijk_min(1))
+               ijk_min(2) = mjg0_oldcmp(ijk_min(2))
             ENDIF
             IF (lwp) THEN
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/VORTEX/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/VORTEX/MY_SRC/usrdef_hgr.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/VORTEX/MY_SRC/usrdef_hgr.F90	(revision 12960)
@@ -91,6 +91,6 @@
          
       DO_2D_11_11
-         zti = REAL( mig0(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0(jj) - 1, wp )   ! start at j=0 in the global grid without halos
+         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
+         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
          
          plamt(ji,jj) = zlam0 + rn_dx * 1.e-3 *   zti
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/WAD/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/WAD/MY_SRC/usrdef_hgr.F90	(revision 12939)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/WAD/MY_SRC/usrdef_hgr.F90	(revision 12960)
@@ -76,12 +76,12 @@
       DO_2D_11_11
          !                       ! longitude
-         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0(ji)-1 , wp )  )  
-         plamu(ji,jj) = zfact * (          REAL( mig0(ji)-1 , wp )  )
+         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
+         plamu(ji,jj) = zfact * (          REAL( mig0_oldcmp(ji)-1 , wp )  )
          plamv(ji,jj) = plamt(ji,jj)
          plamf(ji,jj) = plamu(ji,jj)
          !                       ! latitude
-         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0(jj)-1 , wp )  )
+         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0_oldcmp(jj)-1 , wp )  )
          pphiu(ji,jj) = pphit(ji,jj)
-         pphiv(ji,jj) = zfact * (          REAL( mjg0(jj)-1 , wp )  )
+         pphiv(ji,jj) = zfact * (          REAL( mjg0_oldcmp(jj)-1 , wp )  )
          pphif(ji,jj) = pphiv(ji,jj)
       END_2D