Index: utils/CI/r12931_sette_ticket2462/sette_reference-configurations.sh
===================================================================
--- utils/CI/r12931_sette_ticket2462/sette_reference-configurations.sh	(revision 12997)
+++ utils/CI/r12931_sette_ticket2462/sette_reference-configurations.sh	(revision 12999)
@@ -188,4 +188,8 @@
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -217,15 +221,25 @@
     set_namelist namelist_cfg cn_ocerst_in \"GYREPIS_LONG_00000540_restart\"
     set_namelist namelist_top_cfg cn_trcrst_in \"GYREPIS_LONG_00000540_restart_trc\"
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/GYREPIS_LONG_00000540_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/GYREPIS_LONG_00000540_restart_trc_${L_NPROC}.nc .
-    done
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+            ln -sf ../LONG/GYREPIS_LONG_00000540_restart.nc .
+            ln -sf ../LONG/GYREPIS_LONG_00000540_restart_trc.nc .
+       else
+            for (( i=1; i<=$NPROC; i++)) ; do
+                L_NPROC=$(( $i - 1 ))
+                L_NPROC=`printf "%04d\n" ${L_NPROC}`
+                ln -sf ../LONG/GYREPIS_LONG_00000540_restart_${L_NPROC}.nc .
+                ln -sf ../LONG/GYREPIS_LONG_00000540_restart_trc_${L_NPROC}.nc .
+            done
+    fi
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
@@ -254,4 +268,8 @@
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -281,4 +299,8 @@
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -332,4 +354,7 @@
     set_namelist namelist_cfg ln_stcor .true.
     set_namelist namelist_cfg ln_tauwoc .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     #
     if [ ${USING_ICEBERGS} == "no" ] ; then set_namelist namelist_cfg ln_icebergs .false. ; fi
@@ -378,4 +403,9 @@
     set_namelist namelist_cfg ln_stcor .true.
     set_namelist namelist_cfg ln_tauwoc .true.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
     #
     if [ ${USING_ICEBERGS} == "no" ] ; then set_namelist namelist_cfg ln_icebergs .false. ; fi
@@ -401,7 +431,4 @@
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/O2L3P_LONG_00000496_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/O2L3P_LONG_00000496_restart_trc_${L_NPROC}.nc .
-        ln -sf ../LONG/O2L3P_LONG_00000496_restart_ice_${L_NPROC}.nc .
         if [ ${USING_ICEBERGS} == "yes" ]
             then
@@ -409,4 +436,17 @@
         fi
     done
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+            ln -sf ../LONG/O2L3P_LONG_00000496_restart.nc .
+            ln -sf ../LONG/O2L3P_LONG_00000496_restart_ice.nc .
+            ln -sf ../LONG/O2L3P_LONG_00000496_restart_trc.nc .
+       else
+            for (( i=1; i<=$NPROC; i++)) ; do
+                L_NPROC=$(( $i - 1 ))
+                L_NPROC=`printf "%04d\n" ${L_NPROC}`
+                ln -sf ../LONG/O2L3P_LONG_00000496_restart_${L_NPROC}.nc .
+                ln -sf ../LONG/O2L3P_LONG_00000496_restart_ice_${L_NPROC}.nc .
+                ln -sf ../LONG/O2L3P_LONG_00000496_restart_trc_${L_NPROC}.nc .
+            done
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -445,4 +485,7 @@
     set_namelist namelist_cfg ln_stcor .true.
     set_namelist namelist_cfg ln_tauwoc .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
 
     if [ ${USING_ICEBERGS} == "no" ] ; then set_namelist namelist_cfg ln_icebergs .false. ; fi
@@ -491,4 +534,7 @@
     set_namelist namelist_cfg ln_stcor .true.
     set_namelist namelist_cfg ln_tauwoc .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
 
     if [ ${USING_ICEBERGS} == "no" ] ; then set_namelist namelist_cfg ln_icebergs .false. ; fi
@@ -549,4 +595,7 @@
     set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_trcbc  .false.
@@ -582,12 +631,20 @@
     set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
     set_namelist namelist_top_cfg ln_rsttr .true.
     set_namelist namelist_top_cfg nn_rsttr 2
     set_namelist namelist_top_cfg cn_trcrst_in \"OFFP_LONG_00000190_restart_trc\"
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/OFFP_LONG_00000190_restart_trc_${L_NPROC}.nc .
-    done
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+        ln -s ../LONG/OFFP_LONG_00000190_restart_trc.nc ./
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/OFFP_LONG_00000190_restart_trc_${L_NPROC}.nc .
+        done
+    fi
     set_namelist namelist_top_cfg ln_trcbc  .false.
     # put ln_ironsed, ln_hydrofe to false
@@ -630,4 +687,7 @@
     set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_trcbc  .false.
@@ -667,4 +727,7 @@
     set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     set_namelist namelist_top_cfg ln_trcdta .false.
     set_namelist namelist_top_cfg ln_trcbc  .false.
@@ -719,4 +782,8 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -743,9 +810,18 @@
     set_namelist namelist_cfg cn_ocerst_in \"AMM12_LONG_00000288_restart\"
     set_namelist namelist_cfg nn_date0 20120102
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/AMM12_LONG_00000288_restart_${L_NPROC}.nc .
-    done
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
+    if [ ${USING_XIOS_RRW} == "yes" ]; then
+        ln -sf ../LONG/AMM12_LONG_00000288_restart.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+             L_NPROC=$(( $i - 1 ))
+             L_NPROC=`printf "%04d\n" ${L_NPROC}`
+             ln -sf ../LONG/AMM12_LONG_00000288_restart_${L_NPROC}.nc .
+        done
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -777,4 +853,7 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -801,4 +880,7 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -845,4 +927,8 @@
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_ice_cfg ln_icediachk .true.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -870,15 +956,25 @@
     set_namelist namelist_cfg cn_ocerst_in \"SAS_00000128_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"SAS_00000128_restart_ice\"
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/SAS_00000128_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/SAS_00000128_restart_ice_${L_NPROC}.nc .
-    done
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    if [ ${USING_XIOS_RRW} == "yes" ]; then
+        ln -sf ../LONG/SAS_00000128_restart.nc .
+        ln -sf ../LONG/SAS_00000128_restart_ice.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/SAS_00000128_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/SAS_00000128_restart_ice_${L_NPROC}.nc .
+        done
+    fi
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
@@ -905,4 +1001,7 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -930,4 +1029,7 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -998,4 +1100,8 @@
     set_namelist namelist_pisces_cfg ln_ironice .false.
     set_namelist namelist_pisces_cfg ln_hydrofe .false.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1046,4 +1152,8 @@
     set_namelist namelist_pisces_cfg ln_ironice .false.
     set_namelist namelist_pisces_cfg ln_hydrofe .false.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1086,4 +1196,7 @@
     set_namelist namelist_cfg nn_stock 10
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_LONG\"
     set_namelist 1_namelist_cfg nn_it000 1
@@ -1123,4 +1236,8 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_SHORT\"
     set_namelist 1_namelist_cfg nn_it000 11
@@ -1153,16 +1270,27 @@
     set_namelist 3_namelist_ice_cfg cn_icerst_in \"AGRIF_LONG_00000120_restart_ice\"
 
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/AGRIF_LONG_00000010_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/AGRIF_LONG_00000010_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/1_AGRIF_LONG_00000010_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/1_AGRIF_LONG_00000010_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/2_AGRIF_LONG_00000040_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/2_AGRIF_LONG_00000040_restart_ice_${L_NPROC}.nc .
-        ln -sf ../LONG/3_AGRIF_LONG_00000120_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/3_AGRIF_LONG_00000120_restart_ice_${L_NPROC}.nc .
-    done
+    if [ ${USING_XIOS_RRW} == "yes" ]; then
+        ln -sf ../LONG/AGRIF_LONG_00000010_restart.nc .
+        ln -sf ../LONG/1_AGRIF_LONG_00000010_restart.nc .
+        ln -sf ../LONG/2_AGRIF_LONG_00000040_restart.nc .
+        ln -sf ../LONG/3_AGRIF_LONG_00000120_restart.nc .
+        ln -sf ../LONG/AGRIF_LONG_00000010_restart_ice.nc .
+        ln -sf ../LONG/1_AGRIF_LONG_00000010_restart_ice.nc .
+        ln -sf ../LONG/2_AGRIF_LONG_00000040_restart_ice.nc .
+        ln -sf ../LONG/3_AGRIF_LONG_00000120_restart_ice.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/AGRIF_LONG_00000010_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/1_AGRIF_LONG_00000010_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/2_AGRIF_LONG_00000040_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/3_AGRIF_LONG_00000120_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/AGRIF_LONG_00000010_restart_ice_${L_NPROC}.nc .
+            ln -sf ../LONG/1_AGRIF_LONG_00000010_restart_ice_${L_NPROC}.nc .
+            ln -sf ../LONG/2_AGRIF_LONG_00000040_restart_ice_${L_NPROC}.nc .
+            ln -sf ../LONG/3_AGRIF_LONG_00000120_restart_ice_${L_NPROC}.nc .
+        done
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1194,4 +1322,7 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_28\"
     set_namelist 1_namelist_cfg nn_it000 1
@@ -1238,4 +1369,7 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_44\"
     set_namelist 1_namelist_cfg nn_it000 1
@@ -1284,4 +1418,7 @@
     set_namelist namelist_cfg nn_itend 150
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
 
 #   Set the number of fine grids to zero:    
@@ -1326,4 +1463,7 @@
     set_namelist namelist_cfg nn_itend 150
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
 #
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1372,4 +1512,8 @@
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     #set_namelist namelist_ice_cfg ln_icediachk .true.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1397,10 +1541,21 @@
     set_namelist namelist_cfg cn_ocerst_in \"S12_LONG_00000120_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"S12_LONG_00000120_restart_ice\"
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/S12_LONG_00000120_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/S12_LONG_00000120_restart_ice_${L_NPROC}.nc .
-    done
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
+
+    if [ ${USING_XIOS_RRW} == "yes" ]; then
+        ln -sf ../LONG/S12_LONG_00000120_restart.nc .
+        ln -sf ../LONG/S12_LONG_00000120_restart_ice.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/S12_LONG_00000120_restart_${L_NPROC}.nc .
+            ln -sf ../LONG/S12_LONG_00000120_restart_ice_${L_NPROC}.nc .
+        done
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1433,4 +1588,7 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1459,4 +1617,7 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
Index: utils/CI/r12931_sette_ticket2462/sette_test-cases.sh
===================================================================
--- utils/CI/r12931_sette_ticket2462/sette_test-cases.sh	(revision 12997)
+++ utils/CI/r12931_sette_ticket2462/sette_test-cases.sh	(revision 12999)
@@ -187,4 +187,7 @@
     set_namelist namelist_cfg nn_stock 60
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -209,4 +212,8 @@
     set_namelist namelist_cfg nn_rstctl 2
     set_namelist namelist_cfg cn_ocerst_in \"OVF_LONG_00000060_restart\"
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -288,4 +295,7 @@
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg nn_itend 120
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -310,4 +320,7 @@
     set_namelist namelist_cfg nn_rstctl 2
     set_namelist namelist_cfg cn_ocerst_in \"LOCK_LONG_00000060_restart\"
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -390,4 +403,7 @@
     set_namelist namelist_cfg nn_stock 120
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
 
     set_namelist 1_namelist_cfg cn_exp \"VORTEX_LONG\"
@@ -396,4 +412,9 @@
     set_namelist 1_namelist_cfg nn_stock 360
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
+
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
 	
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -419,4 +440,8 @@
     set_namelist namelist_cfg nn_rstctl 2
     set_namelist namelist_cfg cn_ocerst_in \"VORTEX_LONG_00000120_restart\"
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
     
     set_namelist 1_namelist_cfg cn_exp \"VORTEX_SHORT\"
@@ -434,5 +459,5 @@
         set_xio_using_server iodef.xml false
     fi
-    if [ $NPROC -eq 1 ] ;  then
+    if [[ ($NPROC -eq 1 || ${USING_XIOS_RRW} == "yes") ]];  then
         ln -sf ../LONG/VORTEX_LONG_00000120_restart.nc .
         ln -sf ../LONG/1_VORTEX_LONG_00000360_restart.nc .
@@ -470,4 +495,8 @@
     set_namelist namelist_cfg jpnj 3
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
    
     set_namelist 1_namelist_cfg cn_exp \"VORTEX_23\"
@@ -506,4 +535,7 @@
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
 
     set_namelist 1_namelist_cfg cn_exp \"VORTEX_32\"
@@ -559,5 +591,7 @@
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg nn_stock 100
-    
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_LONG\"
     set_namelist 1_namelist_cfg nn_it000 1
@@ -589,4 +623,8 @@
     set_namelist namelist_cfg cn_ocerst_in \"ICE_AGRIF_LONG_00000100_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"ICE_AGRIF_LONG_00000100_restart_ice\"
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
     
     set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_SHORT\"
@@ -606,5 +644,5 @@
         set_xio_using_server iodef.xml false
     fi
-    if [ $NPROC -eq 1 ] ;  then
+    if [[ ($NPROC -eq 1 || ${USING_XIOS_RRW} == "yes") ]] ;  then
         ln -sf ../LONG/ICE_AGRIF_LONG_00000100_restart.nc .
         ln -sf ../LONG/ICE_AGRIF_LONG_00000100_restart_ice.nc .
@@ -648,4 +686,7 @@
     set_namelist namelist_cfg jpnj 3
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     
     set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_23\"
@@ -684,4 +725,7 @@
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     
     set_namelist 1_namelist_cfg cn_exp \"ICE_AGRIF_32\"
@@ -738,4 +782,8 @@
     set_namelist namelist_cfg jpnj 3
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -762,15 +810,23 @@
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg cn_ocerst_in \"ISOMIP_LONG_00000048_restart\"
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    for (( i=1; i<=$NPROC; i++)) ; do
-        L_NPROC=$(( $i - 1 ))
-        L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/ISOMIP_LONG_00000048_restart_${L_NPROC}.nc .
-    done
-
+    if [ ${USING_XIOS_RRW} == "yes" ]
+       then
+       set_namelist namelist_cfg nn_wxios 1
+       set_namelist namelist_cfg ln_xios_read .true.
+    fi
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    if [ ${USING_XIOS_RRW} == "yes" ]; then
+        ln -sf ../LONG/ISOMIP_LONG_00000048_restart.nc .
+    else
+        for (( i=1; i<=$NPROC; i++)) ; do
+            L_NPROC=$(( $i - 1 ))
+            L_NPROC=`printf "%04d\n" ${L_NPROC}`
+            ln -sf ../LONG/ISOMIP_LONG_00000048_restart_${L_NPROC}.nc .
+        done
+    fi
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ISOMIP.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS} ${NEMO_VALID}
@@ -797,4 +853,7 @@
     set_namelist namelist_cfg jpnj 3
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -822,4 +881,7 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    if [ ${USING_XIOS_RRW} == "yes" ] ; then
+       set_namelist namelist_cfg nn_wxios 1
+    fi
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true